| Home | Libraries | People | FAQ | More

## Struct template as_min_base<Arg, typename enable_if< is_floating_point< Arg > >::type>

boost::numeric::functional::as_min_base<Arg, typename enable_if< is_floating_point< Arg > >::type>

## Synopsis

    template<typename Arg>
    struct as_min_base<Arg, typename enable_if< is_floating_point< Arg > >::type> :
      public std::unary_function< Arg, remove_const< Arg >::type >
    {

      // public member functions
      remove_const< Arg >::type operator()(Arg &) const;
    };

## Description

### `as_min_base` public member functions

1.     remove_const< Arg >::type operator()(Arg &) const;